@import '_variables';
@import '_fonts';

body{
  margin: 0;
  padding: 0;
  width: 100%;
}
h1,h2,h3,p{
  margin: 0;
  padding: 0;
}

header{
  width: 100vw;
  height: 60px;
  background: white;
  box-shadow: 0 0 20px black;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  z-index: 2;
  .btn-menu{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: url(../img/btn-menu.png)50% no-repeat;
    background-size: 100%;
    margin-right: 10px;
    margin-left: 5px;
    transition:all 0.3s ease-in-out;
    box-shadow: 0 0 10px 5px black inset;
    &:hover{
      cursor: pointer;
      transform: scale(0.9);
      box-shadow: 0 0 10px 10px black inset;
    }
  }
  img{
    height: 55px;
  }
  h1{
    font-size: 2,7em;
    font-family: 'uniform-cond-u';
    color: $color-gris;
    margin-left: 40px;
    @media (max-width: 700px) {
      font-size: 1.5em;
      margin-left: 20px;
    }
  }
}

footer{
  position: fixed;
  bottom: 0;
  min-height: 10vh;
  height: auto;
  background: rgba(23,23,22,1);
  background: -moz-linear-gradient(top, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(23,23,22,1)), color-stop(100%, rgba(60,60,57,1)));
  background: -webkit-linear-gradient(top, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  background: -o-linear-gradient(top, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  background: -ms-linear-gradient(top, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  background: linear-gradient(to bottom, rgba(23,23,22,1) 0%, rgba(60,60,57,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#171716', endColorstr='#3c3c39', GradientType=0 );
  .cont-element{
    width: 100vw;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    img{
      margin-top: -80px;
      height: 230px;
      margin-left: 20px;
    }
    h1{
      font-size: 3em;
      font-family: 'uniform-cond-u';
      color: white;
    }
  }
  .cont_copy{
    width: 100vw;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 10px;
    p{
      font-family: 'uniform-cond-m';
      color: white;
      font-weight: lighter;
      font-size: 0.9em;
    }
  }
  @media (max-width: 900px) {
    .cont-element{
      img{
        height: 80px;
        margin-top: -30px;
      }
      h1{
        font-size: 2em;
      }
    }
  }
}


//ESTILO PARA EL NAV-MENU

.nav-menu{
  display: none;
  width: 30vw;
  height: 99vh;
  background: rgba($color: $color-gris, $alpha: 0.9);
  border: solid white 2px;
  border-left: none;
  position: absolute;
  box-shadow: 0 0 20px 5px black;
  z-index: 3;
  top: 0;
  left: 0;
  @media (max-width: 700px) {
    width: 90vw;
  }
  .name-unidad{
    background: white;
    padding: 10px;
    display: flex;
    align-items: center;
    .btn-menu-close{
      width: 40px;
      height: 40px;
      border-radius: 50%;
      background: url(../img/btn-menu-close.png)50% no-repeat;
      background-size: 100%;
      margin-right: 10px;
      margin-left: 5px;
      transition:all 0.3s ease-in-out;
      box-shadow: 0 0 10px 2px black inset;
      &:hover{
        cursor: pointer;
        transform: scale(0.9);
        box-shadow: 0 0 10px 7px black inset;
      }
    }
    h2{
      font-family:'uniform-cond-m';
      color: $color-gris;
      font-size: 2em;
    }
    .subtext{
      font-size: 0.8em;
      color: $color-rojo-item; 
    }

  }
  .cont-menu-items{
    ul{
      width: 100%;
      height: auto;
      margin: 0;
      padding: 0;
      li{
        margin: 0;
        padding: 15px 10px;
        color: white;
        text-decoration: none;
        list-style: none;
        font-family:'uniform-cond-m';
        border-bottom: solid white 1px;
        transition: all 0.2s ease-in-out;
        &:hover{
          background: $color-rojo-item;
          cursor: pointer;
        }
      }
    }
  }

}



// ESTILO PARA LOS ITEMS
.contenedor{
  padding-top: 60px;
  background: url(../img/back-contendor.png)50% no-repeat,$color-gris;
  background-size:cover;
  width: 100vw;
  min-height: 80vh;
  height: auto;
  display: flex;
  justify-content: center;
  @media (max-width: 700px) {
    padding-top: 80px;
    width: 100%;
    padding-bottom: 100px;
  }
}
